#!/usr/bin/env python

from distutils.core import setup
import glob
import sys,os

i18n = []
for lang in glob.glob(os.path.join('po', '*.po')):
    lang = lang[3:-3]
    i18n.append(('share/locale/%s/LC_MESSAGES' % lang,
                 ['i18n/%s/LC_MESSAGES/hercules.mo' % lang]))

setup (name = "hercules",
       fullname = "The Diary Of Hercules",
       version = "0.0.4",
       description = "Personal workout diary",
       author = "Basil Shubin",
       author_email = "bashu@users.sourceforge.net",
       url = "http://www.sourceforge.net/projects/hercules/",
       license = "GPL",
       keywords = ["Workout software", "Bodybuilding", "Fitness", "wxPython"],

       scripts = ["hercules.py"],
       packages = ["Hercules", "Hercules/gui"],
       data_files = i18n
       )
